
singleton Material(dscbora_window)
{
   mapTo = "dscbora_window";
   diffuseColor[0] = "1 1 1 0.30";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "11";
   doubleSided = "1";
   translucent = "1";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(dscbora_frame)
{
   mapTo = "dscbora_frame";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";   
   diffuseColor[1] = "0.1 0.1 0.1 0.85";
   specularPower[0] = "16";
   specularPower[1] = "16";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";   
};

singleton Material(dscbora_interior)
{
   mapTo = "dscbora_interior";
   diffuseMap[0] = "dscbora_interior_d.dds";
   normalMap[0] = "dscbora_interior_n.dds";
   specularPower[0] = "12";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   specularMap[0] = "dscbora_interior_s.dds";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.8 0.8 0.8 1";
};

singleton Material(dscbora_engine)
{
    mapTo = "dscbora_engine";
    diffuseMap[2] = "vehicles/hatch/hatch_c_alt.dds";
    specularMap[2] = "vehicles/hatch/hatch_s_alt.dds";
    normalMap[2] = "vehicles/hatch/hatch_n.dds";
    diffuseMap[1] = "vehicles/hatch/hatch_d_alt.dds";
    specularMap[1] = "vehicles/hatch/hatch_s_alt.dds";
    normalMap[1] = "vehicles/hatch/hatch_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hatch/hatch_n.dds";
    //diffuseMap[3] = "vehicles/hatch/hatch_dirt.dds";
    //normalMap[3] = "vehicles/hatch/hatch_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dscbora_body)
{
   mapTo = "dscbora_body";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/dscbora/dscbora_body.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";   
   diffuseColor[1] = "1 1 1 0.8";
   specularPower[0] = "16";
   specularPower[1] = "16";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[1] = true;
};

singleton Material(dscbora_calipers)
{
   mapTo = "dscbora_calipers";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";   
   diffuseColor[1] = "0.0 0.0 0.0 0.85";
   specularPower[0] = "16";
   specularPower[1] = "16";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";   
};

singleton Material(dscbora_discbrake)
{
   mapTo = "dscbora_discbrake";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/dscbora/dscbora_discbrake.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";   
   diffuseColor[1] = "0.6 0.6 0.6 0.75";
   specularPower[0] = "16";
   specularPower[1] = "16";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(dscbora_misc)
{
   mapTo = "dscbora_misc";
   diffuseMap[0] = "vehicles/dscbora/dscbora_misc.png";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "1.0 1.0 1.0 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};


singleton Material(dscbora_rimtex)
{
   mapTo = "dscbora_rimtex";
   diffuseMap[1] = "vehicles/dscbora/dscbora_rimtex_d.dds";
   specularMap[1] = "vehicles/common/wheel_02a_s.dds";
   normalMap[1] = "vehicles/common/wheel_02a_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/common/wheel_02a_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.2 0.2 0.2 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(dscbora_decal)
{
   mapTo = "dscbora_decal";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.8 0.8 0.8 0.7";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dscbora_mirrorglass)
{
   mapTo = "dscbora_mirrorglass";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   cubemap = "BNG_Sky_02_cubemap";
   translucentBlendOp = "None";
};

singleton Material(dscbora_gauges)
{
   mapTo = "dscbora_gauges";
   diffuseMap[0] = "dscbora_gauges_d.dds";
   specularMap[0] = "dscbora_gauges_s.dds";
   normalMap[0] = "dscbora_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1 1 1 1";
};

singleton Material(dscbora_numberdecal)
{
    mapTo = "dscbora_numberdecal";
    diffuseMap[1] = "vehicles/dscbora/dscbora_decals.dds";
    specularMap[1] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "0 0 0 0";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    translucentZWrite = "1";
};

singleton Material(bora_i3)
{
   mapTo = "bora_i3";
    diffuseMap[1] = "vehicles/pigeon/pigeon_engine_600_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeon_engine_600_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeon_engine_600_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeon_engine_600_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "object";
};

singleton Material(dscbora_engine_v8)
{
   mapTo = "dscbora_engine_v8";
   diffuseMap[2] = "vehicles/super/super_c.dds";
   specularMap[2] = "vehicles/super/super_s.dds";
   normalMap[2] = "vehicles/super/super_n.dds";
   diffuseMap[1] = "vehicles/super/super_d.dds";
   specularMap[1] = "vehicles/super/super_s.dds";
   normalMap[1] = "vehicles/super/super_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/super/super_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "0.1 0.4 0.8 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};
